%global momorel 1

Summary: Enlightenment Database Access Library
Name: edb
Version: 1.0.5.042
Release: %{momorel}m%{?dist}
License: Modified BSD
Group: System Environment/Libraries
URL: http://www.enlightenment.org/pages/edb.html
Source0: http://download.enlightenment.org/snapshots/2008-01-25/%{name}-%{version}.tar.bz2 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: zlib-devel
BuildPrereq: ncurses-devel
BuildPrereq: gtk+-devel
Requires: zlib

%description
Edb is a database abstraction layer to Berkeley Databases. Edb contains the
source for DB 2.7.7, thus freezing the database format on disk, making sure it
will never become incompatible (as is a habit of the DB interface in libc). Edb
wraps this with a convenience and optimization API layer, making database
access easy, fast and consistent. It handles typing of information in the
database and much more.

%package devel
Summary: Edb headers, static libraries, documentation and test programs
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Headers, static libraries, test programs and documentation for Edb

%package ed
Summary: Edb command-line editor
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk+
Requires: ncurses

%description ed
A command-line db editor for Edb
A GTK+ gui db editor for Edb
A curses db editor for Edb

%prep
%setup -q

%build
%configure --disable-static
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall transform='s,x,x,'
find %{buildroot} -name "*.la" -delete

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README src/LICENSE
%{_libdir}/libedb.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libedb.so
%{_libdir}/pkgconfig/edb.pc
%{_includedir}/Edb*

%files ed
%defattr(-,root,root)
%{_bindir}/edb_ed
%{_bindir}/edb_gtk_ed
%{_bindir}/edb_vt_ed

%changelog
* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.5.042-1m)
- merge from T4R
- 
- changelog is below
- * Mon Mar 10 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- - (1.0.5.042-1m)
- - update to 1.0.5.042
- - delete %%{_bindir}/edb-config

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.5.007-0.20061222.3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.5.007-0.20061222.2m)
- %%NoSource -> NoSource

* Mon Jan  1 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.5.007-0.20061222.1m)
- version 1.0.5.007-20061222

* Sat Dec 10 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.5.004-0.20051209.1m)
- version 1.0.5.004-20051209

* Tue Jun 28 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.5.003-0.20050627.1m)
- version 1.0.5.003-20050627

* Wed Mar  9 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (1.0.5-0.20050207-3m)
- rebuild against libtermcap and ncurses

* Thu Feb 17 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.0.5-0.20050207-2m)
- add %%defattr.

* Thu Feb 17 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.5-0.20050207-1m)
- version 1.0.5-0.20050207

* Tue Dec 21 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.5-0.20041218-1m)
- first import to Momonga

* Sat Aug 11 2001 Mark Bainter <mark-e@cymry.org>
- Made package relocatable.
- Corrected Web and FTP URLs.
- Took out the (wrong) email address for the development team.
- Expended the package descriptions
